#..addons/eventscripts/shop/shop.py

import es
import popuplib
import cPickle
import os
import playerlib
import effectlib
import gamethread
from random import randint

import psyco
psyco.full()





#############################
####### Start Editing ####### 
#############################
    
           
#############################
########## Admins ###########
#############################


admins =['STEAM_0:1:11108414', 'STEAM_0:1:111111', 'STEAM_0:1:222222']

#############################
###Enable/Disable Features###
#############################

"""All features are enabled by default"""

""" 1 = Enabled / 0 = Disabled """

#Weapon Buy Menu
weapon_buy_menu_enabled = 1

#Weapon Spawn Menu
spawn_menu_enabled = 1

#Fun Features Menu
fun_features_menu_enabled = 1

#Health Menu
health_menu_enabled = 1

#Kill Bonus Menu
kill_bonus_menu_enabled = 1

#Send Credits Menu
send_credits_menu_enabled = 1

#Sell Menu
sell_menu_enabled = 1

#Admin Menu
admin_menu_enabled = 1

#Respawn Menu
respawn_menu_enabled = 1

#Unlimited Ammo Menu
unlimited_ammo_menu_enabled = 1

#Invisibility Menu
invis_menu_enabled = 1

#Tracers
tracers_menu_enabled = 1

#No Fall Damage
no_falldamage_menu_enabled = 1

#Hitmarker
hitmarker_menu_enabled = 1



#############################
###### Credit Earnings ######
#############################

""" Set here the amount of credits a player can earn/loose for the given event """

#Normal Kill:
kill_amount = 2

#Headshot Kill:
headshot_amount = 3

#Team Kill: (subtracts)
tk_amount = 2

#Bomb planted:
bomb_planted_amount = 3

#Bomb exploded:
bomb_exploded_amount = 5

#Bomb defused:
bomb_defused_amount = 5

#Hostage rescued: (counts for every hostage)
hostage_rescued_amount = 2

#Hostage killed: (subtracts)
hostage_killed_amount = 2



############################
###### Weapon Prices #######
############################

""" Set here the amount of credits a player must pay for buying a weapon """

#Pistols
buy_glock = 2
buy_usp = 3
buy_p228 = 3
buy_deagle = 5
buy_fiveseven = 4
buy_elite = 4

#Shotguns
buy_m3 = 4
buy_autoshotgun = 4

#SMGs
buy_tmp = 2
buy_mp5 = 4
buy_ump45 = 4
buy_p90 = 5

#Rifles
buy_famas = 8
buy_galil = 8
buy_scout = 8
buy_bullpup = 10
buy_krieg = 10
buy_ak = 8
buy_m4 = 9
buy_awp = 11
buy_autosniperct = 10
buy_autosnipert = 10

#Machine Gun
buy_m249 = 10

#Equipment
buy_primammo = 2
buy_secammo = 2
buy_vest = 4
buy_vesthelm = 6
buy_flashbang = 3
buy_hegrenade = 3
buy_smoke = 3
buy_defuser = 3



###########################
### Weapon Spawn Prices ###
###########################

""" Set here the amount of credits a player must pay for buying a weapon spawn feature """

#Spawn with AK47:
buy_akspawn = 40
#Spawn with M4A1:
buy_m4spawn = 40
#Spawn with AWP:
buy_awpspawn = 50



###########################
###### Health Prices ######
###########################

""" Set here the amount of credits a player must pay for buying a health bonus """

#10 Helth bonus now
buy_health10 = 10

#20 Helth bonus now
buy_health20 = 20

#30 Helth bonus now
buy_health30 = 30

#40 Helth bonus now
buy_health40 = 40

#50 Helth bonus now
buy_health50 = 50

""" Following features give a player a health bonus on every spawn """

#10 Health Bonus every round
buy_roundstarthealth10 = 50

#20 Health Bonus every round
buy_roundstarthealth20 = 100

#30 Health Bonus every round
buy_roundstarthealth30 = 150

#40 Health Bonus every round
buy_roundstarthealth40 = 200

#50 Health Bonus every round
buy_roundstarthealth50 = 250


###########################
#### Kill Bonus Prices ####
###########################

""" Set here how many credits a player must pay for the kill/headshot bonus feature """

#Kill Health Bonus
buy_killbonus = 30

#Kill + Headshot Health Bonus 
#Note: If a player activates this feature, he will get the specified kill health bonus (def. 10) for non-headshot kill, too.
buy_headshotbonus = 40

###########################
#### Kill Health Bonus ####
###########################

""" Set here how many HP a player gets for the kill/headshot bonus feature """

#Normal Kill Health Bonus
killhealthbonus = 10

#Headshot Health Bonus
headshothealthbonus = 20



###########################
### Fun Features Prices ###
###########################

""" Set here the amount of credits a player must pay for a fun feature """

#Low Gravity
buy_lowgrav = 150

#Speed
buy_speed = 150

#16000$ Start Money for every round
buy_startmoney = 50

#Half Invisibility
buy_halfinvis = 50

#Full Invisibility
buy_fullinvis = 150

#Tracers
buy_randomtracer = 50
buy_redtracer = 40
buy_greentracer = 40
buy_bluetracer = 40



###########################
### Respawn Menu Price ####
###########################

""" Set here the amount of credits a player must pay to get a respawn menu after death """

#Respawn Menu
buy_respawn = 100


###########################
## Unlimited Ammo Price ###
###########################

""" Set here the amount of credits a player must pay for the unlimited ammo/nades feature """

#Unlimited Ammo
buy_unlimitedammo = 40

#Unlimited Nades
buy_unlimitednades = 30


###########################
### No Falldamage Price ###
###########################

""" Set here the amount of credits a player must pay for the no falldamage feature

#No Falldamage
buy_nofalldamage = 20

###########################
##### Hitmarker Price #####
###########################

""" Set here the amount of credits a player must pay for the hitmarker feature """
""" A player who bought this feature will see a hitmarker """
""" in the middle of the screen when he hurts/blinds an enemy """

#Hitmarker
buy_hitmarker = 30




#######################################
## SHOP MENU CONFIGURATION FINISHED ###
##### DO NOT EDIT BELOW THIS LINE #####
#######################################




points = {}
flashed = set()

info = es.AddonInfo()
info.author      = "h!gh voltage (stonedegg)"
info.name        = "Shop Menu"
info.basename    = "shop"
info.version     = "1.0 Public"

es.ServerVar('shopmenu', info.version, 'Shop Menu - Made by h!gh voltage (stonedegg)').makepublic()


def load():
    global points
    dictPath = os.path.join( es.getAddonPath( info.basename ), "data.db" )
    if os.path.isfile(dictPath):
        fileStream = open(dictPath, 'r')
        points = cPickle.load(fileStream)
        fileStream.close()
    es.msg('#multi', '#green[Shop Menu] #lightgreenhas been loaded.')
    es.doblock("corelib/noisy_on")

def unload():
    es.msg('#multi', '#green[Shop Menu] #lightgreenhas been unloaded.')
    save_database()
    es.doblock("corelib/noisy_off")

def save_database():
    dictPath = os.path.join( es.getAddonPath( info.basename ), "data.db" )
    fileStream = open(dictPath, 'w')
    cPickle.dump(points, fileStream)
    fileStream.close()

def es_map_start(ev):
    save_database()

def round_start(ev):
    save_database()

def tell(userid, text):
    es.tell(userid, '#multi', '#green[Shop Menu] #lightgreen ' + text)

def es_player_validated(ev):
    steamid = ev["networkid"]
    if not points.has_key(steamid):
        points[steamid] = {}
        points[steamid]["credits"] = 0
        points[steamid]["akspawn"] = 0
        points[steamid]["m4spawn"] = 0
        points[steamid]["awpspawn"] = 0
        points[steamid]["lgrav"] = 0
        points[steamid]["speed"] = 0
        points[steamid]["startmoney"] = 0
        points[steamid]["starthealth10"] = 0
        points[steamid]["starthealth20"] = 0
        points[steamid]["starthealth30"] = 0
        points[steamid]["starthealth40"] = 0
        points[steamid]["starthealth50"] = 0
        points[steamid]["halfinvis"] = 0
        points[steamid]["fullinvis"] = 0
        points[steamid]["killbonus"] = 0
        points[steamid]["headshotbonus"] = 0
        points[steamid]["respawn"] = 0
        points[steamid]["unlimitedammo"] = 0
        points[steamid]["unlimitednades"] = 0
        points[steamid]["randomtracer"] = 0
        points[steamid]["redtracer"] = 0
        points[steamid]["greentracer"] = 0
        points[steamid]["bluetracer"] = 0
        points[steamid]["nofalldamage"] = 0
        points[steamid]["hitmarker"] = 0

def player_activate(ev):
    es.stringtable('downloadables','materials/overlays/hitmarker/hitmarkerv2.vtf')
    es.stringtable('downloadables','materials/overlays/hitmarker/hitmarkerv2.vmt')

def player_death(ev):
    userid = int(ev['userid'])
    attacker = int(ev['attacker'])
    vsteamid = ev['es_steamid']
    steamid = ev['es_attackersteamid']
    headshot = ev['headshot']
    if steamid != 'BOT':
        if userid != attacker:
            if ev["es_attackerteam"] != ev["es_userteam"]:
                if headshot == '1':
                    points[steamid]["credits"] += headshot_amount
                    tell(attacker, 'You earned #green%s credits #lightgreenfor a headshot kill.' %headshot_amount)
                else:
                    points[steamid]["credits"] += kill_amount
                    tell(attacker, 'You earned #green%s credit(s) #lightgreenfor a kill.' %kill_amount)
            else:
                points[steamid]["credits"] -= tk_amount
                tell(attacker, 'You lost #green%s credit(s) #lightgreenfor killing your teammate.' %tk_amount)
    if points[steamid]["killbonus"] == 1:
        if userid != attacker: 
            if ev["es_attackerteam"] != ev["es_userteam"]:
                es.setplayerprop(attacker, "CBasePlayer.m_iHealth", es.getplayerprop(attacker, "CBasePlayer.m_iHealth") + killhealthbonus)
                tell(attacker, '#greenKill Bonus: #lightgreenYou got %s hp for killing an enemy.' %killhealthbonus)
    if points[steamid]["headshotbonus"] == 1:
        if userid != attacker:
            if ev["es_attackerteam"] != ev["es_userteam"]:
                if headshot == '1':
                    if ev["es_attackerteam"] != ev["es_userteam"]:
                        es.setplayerprop(attacker, "CBasePlayer.m_iHealth", es.getplayerprop(attacker, "CBasePlayer.m_iHealth") + headshothealthbonus)
                        tell(attacker, '#greenHeadshot Bonus: #lightgreenYou got %s hp for killing an enemy.' %headshothealthbonus)
                else:
                    es.setplayerprop(attacker, "CBasePlayer.m_iHealth", es.getplayerprop(attacker, "CBasePlayer.m_iHealth") + killhealthbonus)
                    tell(attacker, '#greenKill Bonus: #lightgreenYou got %s hp for killing an enemy.' %killhealthbonus)
    if points[vsteamid]["respawn"] == 1:
        respawnplayer(userid, None)


def respawnplayer(userid, args):
    respawnmenu = popuplib.create('respawn_player')
    respawnmenu.addline('Respawn Menu')
    respawnmenu.addline(' ')
    respawnmenu.addline('Do you want to respawn?')
    respawnmenu.addline(' ')
    respawnmenu.addline('->1. Yes')
    respawnmenu.addline('->2. No')
    respawnmenu.addline(' ')
    respawnmenu.addline('0. Close')
    respawnmenu.unsend(userid)
    respawnmenu.send(userid)
    respawnmenu.delete()
    respawnmenu.menuselect = respawnSelect

def respawnSelect(userid, choice, popupid):
    if choice == 1:
        es.server.queuecmd('es_xsetplayerprop %s "CCSPlayer.baseclass.m_lifeState" 512' %userid)
        es.server.queuecmd('es_xsetplayerprop %s "CCSPlayer.m_iPlayerState" 0' %userid)
        es.server.queuecmd('es_xspawnplayer %s' %userid)
        tell(userid, "You have been respawned")
    elif choice == 2:
        tell(userid, "You will respawn next round")


def player_hurt(ev):
    userid = ev['attacker']
    steamid = es.getplayersteamid(userid)
    if points[steamid]["hitmarker"] == 1:
        es.cexec(ev['attacker'],"r_screenoverlay overlays/hitmarker/hitmarkerv2")
        gamethread.delayed(0.5, es.cexec, (ev['attacker'],"r_screenoverlay","0"))

def player_blind(ev):
    flashed.add(ev['es_username'])

def flashbang_detonate(ev):
    flasher = ev['userid']
    steamid = es.getplayersteamid(flasher)
    if not flashed:
        return
    else:
        if points[steamid]["hitmarker"] == 1:
            es.cexec(flasher,"r_screenoverlay overlays/hitmarker/hitmarkerv2")
            gamethread.delayed(0.8, es.cexec, (flasher,"r_screenoverlay","0"))
        flashed.clear()


def bomb_planted(ev):
    userid = int(ev['userid'])
    steamid = ev['es_steamid']
    if steamid != 'BOT':
        points[steamid]["credits"] += bomb_planted_amount
        tell(userid, 'You earned #green%s credits #lightgreenfor planting the bomb.' %bomb_planted_amount)

def bomb_exploded(ev):
    userid = int(ev['userid'])
    steamid = ev['es_steamid']
    if steamid != 'BOT':
        points[steamid]["credits"] += bomb_exploded_amount
        tell(userid, 'You earned #green%s credits #lightgreenfor destroying the target.' %bomb_exploded_amount)

def bomb_defused(ev):
    userid = int(ev['userid'])
    steamid = ev['es_steamid']
    if steamid != 'BOT':
        points[steamid]["credits"] += bomb_defused_amount
        tell(userid, 'You earned #green%s credits #lightgreenfor defusing the bomb.' %bomb_defused_amount)

def hostage_rescued(ev):
    userid = int(ev['userid'])
    steamid = ev['es_steamid']
    if steamid != 'BOT':
        points[steamid]["credits"] += 2
        tell(userid, 'You earned #green%s credits #lightgreenfor rescueing a hostage.' %hostage_rescued_amount)

def hostage_killed(ev):
    userid = int(ev['userid'])
    steamid = ev['es_steamid']
    if steamid != 'BOT':
        points[steamid]["credits"] -= hostage_killed_amount
        tell(userid, 'You lost #green%s credit(s) #lightgreenfor killing a hostage.' %hostage_killed_amount)

def player_jump(ev):
    userid = int(ev['userid'])
    steamid = es.getplayersteamid(userid)
    if steamid != 'BOT':
        points[steamid]["credits"] += 100
        tell(userid, 'You earned #green100 credits #lightgreenfor a jump.')

def player_say(ev):
    userid = int(ev['userid'])
    if ev['text'] == '!shop':
        shopMenu(userid, None)
    if ev['text'] == '!credits':
        credits_menu = popuplib.construct('credits_menu', 'players', '#human', credits_menu_select)
        credits_menu.settitle("View players credits:")
	popuplib.send('credits_menu', userid)

def credits_menu_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    player = int(choice)
    psteamid = es.getplayersteamid(player)
    pname = es.getplayername(player)
    if player == userid:
        tell(userid, "You have %s credits" %points[steamid]["credits"])
        popuplib.send('credits_menu', userid)
    else:
        tell(userid, "%s has %s credits" %(pname, points[psteamid]["credits"]))
        popuplib.send('credits_menu', userid)

def weapon_fire(ev):
    userid = int(ev["userid"])
    player = playerlib.getPlayer(userid)
    weapon = ev["weapon"]
    steamid = es.getplayersteamid(userid)
    if points[steamid]["unlimitedammo"] == 1:
        if weapon not in ('knife', 'flashbang', 'hegrenade', 'smokegrenade', 'c4'):
            if player.getClip(weapon) <= 5:
                player.setClip(weapon, 5)
            if player.getAmmo(weapon) <= 30:
                player.setAmmo(weapon, 100)
    if points[steamid]["unlimitednades"] == 1:
        if weapon == 'flashbang':
            es.server.queuecmd('es_xgive %s weapon_flashbang' % userid)
        if weapon == 'hegrenade':
            es.server.queuecmd('es_xgive %s weapon_hegrenade' % userid)
        if weapon == 'smokegrenade':
            es.server.queuecmd('es_xgive %s weapon_smokegrenade' % userid)

def bullet_impact(ev):
    userid = int(ev['userid'])
    steamid = es.getplayersteamid(userid)
    tx, ty, tz = es.getplayerlocation(userid)
    duration = 1
    model = 'materials/sprites/laser.vmt'
    crouched = es.getplayerprop(userid,'CBasePlayer.localdata.m_Local.m_bDucked')
    if points[steamid]["randomtracer"] == 1:
        rcolor = randint(0, 255)
        gcolor = randint(0, 255)
        bcolor = randint(0, 255)
        if crouched:
            tz = tz + 44
        else:
            tz = tz + 64
        vector1 = '%s,%s,%s'%(tx, ty, tz)
        vector2 = '%s,%s,%s'%(ev['x'],ev['y'],ev['z'])
        effectlib.drawLine(vector1,vector2,'materials/sprites/laser.vmt','materials/sprites/laser.vmt',duration,'3','3', rcolor, gcolor, bcolor,'255','10','0','0','0','0')
    if points[steamid]["redtracer"] == 1:
        rcolor = 255
        gcolor = 0
        bcolor = 0
        if crouched:
            tz = tz + 44
        else:
            tz = tz + 64
        vector1 = '%s,%s,%s'%(tx, ty, tz)
        vector2 = '%s,%s,%s'%(ev['x'],ev['y'],ev['z'])
        effectlib.drawLine(vector1,vector2,'materials/sprites/laser.vmt','materials/sprites/laser.vmt',duration,'3','3', rcolor, gcolor, bcolor,'255','10','0','0','0','0')
    if points[steamid]["greentracer"] == 1:
        rcolor = 0
        gcolor = 255
        bcolor = 0
        if crouched:
            tz = tz + 44
        else:
            tz = tz + 64
        vector1 = '%s,%s,%s'%(tx, ty, tz)
        vector2 = '%s,%s,%s'%(ev['x'],ev['y'],ev['z'])
        effectlib.drawLine(vector1,vector2,'materials/sprites/laser.vmt','materials/sprites/laser.vmt',duration,'3','3', rcolor, gcolor, bcolor,'255','10','0','0','0','0')
    if points[steamid]["bluetracer"] == 1:
        rcolor = 0
        gcolor = 0
        bcolor = 255
        if crouched:
            tz = tz + 44
        else:
            tz = tz + 64
        vector1 = '%s,%s,%s'%(tx, ty, tz)
        vector2 = '%s,%s,%s'%(ev['x'],ev['y'],ev['z'])
        effectlib.drawLine(vector1,vector2,'materials/sprites/laser.vmt','materials/sprites/laser.vmt',duration,'3','3', rcolor, gcolor, bcolor,'255','10','0','0','0','0')

def player_spawn(ev):
    userid = int(ev['userid'])
    steamid = es.getplayersteamid(userid)
    team = es.getplayerteam(userid)
    player = playerlib.getPlayer(userid)
    if team > 1:
        tell(userid, 'is enabled. Type !shop to open the menu.')
        if points[steamid]["akspawn"] == 1:
            es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_ak47"))
        if points[steamid]["m4spawn"] == 1:
            es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_m4a1"))
        if points[steamid]["awpspawn"] == 1:
            es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_awp"))
        if points[steamid]["lgrav"] == 1:
            es.server.queuecmd('es_fire %s !self addoutput "gravity 0.5"' % userid)
        if points[steamid]["speed"] == 1:
            player.setSpeed("1.5")
        if points[steamid]["startmoney"] == 1:
            es.setplayerprop(userid, "CCSPlayer.m_iAccount", 16000)
        if points[steamid]["starthealth10"] == 1:
            es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 10)
        if points[steamid]["starthealth20"] == 1:
            es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 20)
        if points[steamid]["starthealth30"] == 1:
            es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 30)
        if points[steamid]["starthealth40"] == 1:
            es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 40)
        if points[steamid]["starthealth50"] == 1:
            es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 50)
        if points[steamid]["halfinvis"] == 1:
            player.setColor(255, 255, 255, 100)
        if points[steamid]["fullinvis"] == 1:
            player.setColor(255, 255, 255, 0)

def player_falldamage(ev):
    userid = ev['userid']
    steamid = es.getplayersteamid(userid)
    player = playerlib.getPlayer(userid)
    damage = ev['damage']
    health = ev['es_userhealth']
    if points[steamid]["nofalldamage"] == 1:
        player.setHealth(health)

def shopMenu(userid, args):
    steamid = es.getplayersteamid(userid)
    shop = popuplib.create('shop_menu')
    shop.addline('Shop Menu')
    shop.addline('You have %s Credits' %points[steamid]["credits"])
    shop.addline(' ')
    shop.addline('->1. Weapon Buy Menu')
    shop.addline('->2. Weapon Spawn Menu')
    shop.addline('->3. Fun Features')
    shop.addline('->4. Health Buy Menu')
    shop.addline('->5. Kill Bonus')
    shop.addline('->6. Send Credits')
    shop.addline('->7. Sell Features')
    shop.addline(' ')
    if steamid in admins:
        shop.addline('->8. Admin Menu')
    shop.addline(' ')
    shop.addline('->9. Next')
    shop.addline('0. Close')
    shop.unsend(userid)
    shop.send(userid)
    shop.delete()
    shop.menuselect = shopSelect

def shop2Menu(userid, args):
    steamid = es.getplayersteamid(userid)
    shop2 = popuplib.create('shop2_menu')
    shop2.addline('Shop Menu')
    shop2.addline('You have %s Credits' %points[steamid]["credits"])
    shop2.addline(' ')
    shop2.addline('->1. Respawn')
    shop2.addline('->2. Unlimited Ammo')
    shop2.addline('->3. No Falldamage')
    shop2.addline('->4. Hitmarker')
    shop2.addline(' ')
    shop2.addline('->9. Back')
    shop2.addline('0. Close')
    shop2.unsend(userid)
    shop2.send(userid)
    shop2.delete()
    shop2.menuselect = shop2Select

def buymenu(userid, args):
    steamid = es.getplayersteamid(userid)
    bm = popuplib.create('buy_menu')
    bm.addline('Weapon Buy Menu')
    bm.addline('You have %s Credits' %points[steamid]["credits"])
    bm.addline(' ')
    bm.addline('->1. Pistols')
    bm.addline('->2. Shotguns')
    bm.addline('->3. SMGs')
    bm.addline('->4. Rifles')
    bm.addline('->5. Machine Guns')
    bm.addline('->6. Equipment')
    bm.addline(' ')
    bm.addline('->9. Back')
    bm.addline('0. Close')
    bm.unsend(userid)
    bm.send(userid)
    bm.delete()
    bm.menuselect = buymenuSelect

def sendcreditsamountmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    sca = popuplib.create('credits_amount')
    sca.addline('Choose the amount of credits')
    sca.addline('you would like to send to a player')
    sca.addline('You have %s Credits' %points[steamid]["credits"])
    sca.addline(' ')
    sca.addline('->1. 5 Credits')
    sca.addline('->2. 10 Credits')
    sca.addline('->3. 20 Credits')
    sca.addline('->4. 50 Credits')
    sca.addline('->5. 100 Credits')
    sca.addline('->6. 200 Credits')
    sca.addline('->7. 500 Credits')
    sca.addline('->8. 1000 Credits')
    sca.addline(' ')
    sca.addline('->9. Back')
    sca.addline('0. Close')
    sca.unsend(userid)
    sca.send(userid)
    sca.delete()
    sca.menuselect = scaSelect

def pistolbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    pistol = popuplib.create('pistol_menu')
    pistol.addline('Pistols Menu')
    pistol.addline('You have %s Credits' %points[steamid]["credits"])
    pistol.addline(' ')
    pistol.addline('->1. Glock - Price: %s Credits' %buy_glock)
    pistol.addline('->2. USP - Price: %s Credits' %buy_usp)
    pistol.addline('->3. P228 - Price: %s Credits' %buy_p228)
    pistol.addline('->4. Deagle - Price: %s Credits' %buy_deagle)
    pistol.addline('->5. Five-Seven - Price: %s Credits' %buy_fiveseven)
    pistol.addline('->6. Elite - Price: %s Credits' %buy_elite)
    pistol.addline(' ')
    pistol.addline('->9. Back')
    pistol.addline('0. Close')
    pistol.unsend(userid)
    pistol.send(userid)
    pistol.delete()
    pistol.menuselect = pistolSelect

def shotgunbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    shotgun = popuplib.create('shotgun_menu')
    shotgun.addline('Shotguns Menu')
    shotgun.addline('You have %s Credits' %points[steamid]["credits"])
    shotgun.addline(' ')
    shotgun.addline('->1. M3 - Price: %s Credits' %buy_m3)
    shotgun.addline('->2. Auto Shotgun - Price: %s Credits' %buy_autoshotgun)
    shotgun.addline(' ')
    shotgun.addline('->9. Back')
    shotgun.addline('0. Close')
    shotgun.unsend(userid)
    shotgun.send(userid)
    shotgun.delete()
    shotgun.menuselect = shotgunSelect

def smgbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    smg = popuplib.create('smg_menu')
    smg.addline('SMGs Menu')
    smg.addline('You have %s Credits' %points[steamid]["credits"])
    smg.addline(' ')
    smg.addline('->1. TMP - Price: %s Credits' %buy_tmp)
    smg.addline('->2. MP5 - Price: %s Credits' %buy_mp5)
    smg.addline('->3. UMP45 - Price: %s Credits' %buy_ump45)
    smg.addline('->4. P90 - Price: %s Credits' %buy_p90)
    smg.addline(' ')
    smg.addline('->9. Back')
    smg.addline('0. Close')
    smg.unsend(userid)
    smg.send(userid)
    smg.delete()
    smg.menuselect = smgSelect

def riflebuy(userid, args):
    steamid = es.getplayersteamid(userid)
    rifle = popuplib.create('rifle_menu')
    rifle.addline('Rifles Menu')
    rifle.addline('You have %s Credits' %points[steamid]["credits"])
    rifle.addline(' ')
    rifle.addline('->1. Terrorists Weapons')
    rifle.addline('->2. Counter-Terrorists Weapons')
    rifle.addline(' ')
    rifle.addline('->9. Back')
    rifle.addline('0. Close')
    rifle.unsend(userid)
    rifle.send(userid)
    rifle.delete()
    rifle.menuselect = rifleSelect

def rifletbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    riflet = popuplib.create('rifle_menu')
    riflet.addline('Terrorists Rifles Menu')
    riflet.addline('You have %s Credits' %points[steamid]["credits"])
    riflet.addline(' ')
    riflet.addline('->1. Galil - Price %s Credits' %buy_galil)
    riflet.addline('->2. Scout - Price: %s Credits' %buy_scout)
    riflet.addline('->3. AK47 - Price: %s Credits' %buy_ak)
    riflet.addline('->4. Krieg - Price %s Credits' %buy_krieg)
    riflet.addline('->5. AWP - Price: %s Credits' %buy_awp)
    riflet.addline('->6. Auto-Sniper - Price %s Credits' %buy_autosnipert)
    riflet.addline(' ')
    riflet.addline('->9. Back')
    riflet.addline('0. Close')
    riflet.unsend(userid)
    riflet.send(userid)
    riflet.delete()
    riflet.menuselect = rifletSelect

def riflectbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    riflect = popuplib.create('rifle_menu')
    riflect.addline('Counter-Terrorists Rifles Menu')
    riflect.addline('You have %s Credits' %points[steamid]["credits"])
    riflect.addline(' ')
    riflect.addline('->1. Famas - Price %s Credits' %buy_famas)
    riflect.addline('->2. Scout - Price: %s Credits' %buy_scout)
    riflect.addline('->3. M4A1 - Price: %s Credits' %buy_m4)
    riflect.addline('->4. Bullpup - Price %s Credits' %buy_bullpup)
    riflect.addline('->5. AWP - Price: %s Credits' %buy_awp)
    riflect.addline('->6. Auto-Sniper - Price %s Credits' %buy_autosniperct)
    riflect.addline(' ')
    riflect.addline('->9. Back')
    riflect.addline('0. Close')
    riflect.unsend(userid)
    riflect.send(userid)
    riflect.delete()
    riflect.menuselect = riflectSelect

def mgbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    mg = popuplib.create('mg_menu')
    mg.addline('Machine Gun Menu')
    mg.addline('You have %s Credits' %points[steamid]["credits"])
    mg.addline(' ')
    mg.addline('->1. M249 - Price: %s Credits' %buy_m249)
    mg.addline(' ')
    mg.addline('->9. Back')
    mg.addline('0. Close')
    mg.unsend(userid)
    mg.send(userid)
    mg.delete()
    mg.menuselect = mgSelect

def equipbuy(userid, args):
    steamid = es.getplayersteamid(userid)
    equip = popuplib.create('equip_menu')
    equip.addline('Equipment Menu')
    equip.addline('You have %s Credits' %points[steamid]["credits"])
    equip.addline(' ')
    equip.addline('->1. Primary Ammo - Price: %s Credits' %buy_primammo)
    equip.addline('->2. Secondary Ammo - Price: %s Credits' %buy_secammo)
    equip.addline('->3. Kevlar - Price: %s Credits' %buy_vest)
    equip.addline('->4. Kevlar + Helmet - Price: %s Credits' %buy_vesthelm)
    equip.addline('->5. Flashbang - Price: %s Credits' %buy_flashbang)
    equip.addline('->6. HE Grenade - Price: %s Credits' %buy_hegrenade)
    equip.addline('->7. Smoke Grenade - Price: %s Credits' %buy_smoke)
    equip.addline('->8. Defuser - Price: %s Credits' %buy_defuser)
    equip.addline(' ')
    equip.addline('->9. Back')
    equip.addline('0. Close')
    equip.unsend(userid)
    equip.send(userid)
    equip.delete()
    equip.menuselect = equipSelect

def spawnmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    spawnmenu = popuplib.create('spawn_menu')
    spawnmenu.addline('Weapon Spawn Menu')
    spawnmenu.addline('You have %s Credits' %points[steamid]["credits"])
    spawnmenu.addline(' ')
    spawnmenu.addline('->1. Spawn with AK47 - Price: %s Credits' %buy_akspawn)
    spawnmenu.addline('->2. Spawn with M4A1 - Price: %s Credits' %buy_m4spawn)
    spawnmenu.addline('->3. Spawn with AWP - Price: %s Credits' %buy_awpspawn)
    spawnmenu.addline(' ')
    spawnmenu.addline('->9. Back')
    spawnmenu.addline('0. Close')
    spawnmenu.unsend(userid)
    spawnmenu.send(userid)
    spawnmenu.delete()
    spawnmenu.menuselect = spawnmenuSelect

def funstuffmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    funstuff = popuplib.create('funstuff_menu')
    funstuff.addline('Fun Features Menu')
    funstuff.addline('You have %s Credits' %points[steamid]["credits"])
    funstuff.addline(' ')
    funstuff.addline('->1. Low Gravity - Price: %s Credits' %buy_lowgrav)
    funstuff.addline('->2. Speed - Price: %s Credits' %buy_speed)
    funstuff.addline('->3. 16000$ Startmoney - Price: %s Credits' %buy_startmoney)
    funstuff.addline('->4. Invisibility')
    funstuff.addline('->5. Tracers')
    funstuff.addline(' ')
    funstuff.addline('->9. Back')
    funstuff.addline('0. Close')
    funstuff.unsend(userid)
    funstuff.send(userid)
    funstuff.delete()
    funstuff.menuselect = funstuffSelect

def invismenu(userid, args):
    steamid = es.getplayersteamid(userid)
    invis = popuplib.create('invis_menu')
    invis.addline('Invisibility Buy Menu')
    invis.addline('You have %s Credits' %points[steamid]["credits"])
    invis.addline(' ')
    invis.addline('->1. Half Invisibility - Price: %s Credits' %buy_halfinvis)
    invis.addline('->2. Full Invisibility - Price: %s Credits' %buy_fullinvis)
    invis.addline(' ')
    invis.addline('->9. Back')
    invis.addline('0. Close')
    invis.unsend(userid)
    invis.send(userid)
    invis.delete()
    invis.menuselect = invisSelect

def tracersmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    tracers = popuplib.create('tracers_menu')
    tracers.addline('Tracers Buy Menu')
    tracers.addline('You have %s Credits' %points[steamid]["credits"])
    tracers.addline(' ')
    tracers.addline('->1. Random Coloured Tracers - Price: %s Credits' %buy_randomtracer)
    tracers.addline('->2. Red Tracers - Price: %s Credits' %buy_redtracer)
    tracers.addline('->3. Green Tracers - Price: %s Credits' %buy_greentracer)
    tracers.addline('->4. Blue Tracers - Price: %s Credits' %buy_bluetracer)
    tracers.addline(' ')
    tracers.addline('->9. Back')
    tracers.addline('0. Close')
    tracers.unsend(userid)
    tracers.send(userid)
    tracers.delete()
    tracers.menuselect = tracersSelect

def healthmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    health = popuplib.create('health_menu')
    health.addline('Health Menu')
    health.addline('You have %s Credits' %points[steamid]["credits"])
    health.addline(' ')
    health.addline('->1. Health')
    health.addline('->2. Spawn Health')
    health.addline(' ')
    health.addline('->9. Back')
    health.addline('0. Close')
    health.unsend(userid)
    health.send(userid)
    health.delete()
    health.menuselect = healthSelect

def healthbuymenu(userid, args):
    steamid = es.getplayersteamid(userid)
    healthbuy = popuplib.create('health_menu')
    healthbuy.addline('Health Menu')
    healthbuy.addline('You have %s Credits' %points[steamid]["credits"])
    healthbuy.addline(' ')
    healthbuy.addline('->1. 10 HP - Price: %s Credits' %buy_health10)
    healthbuy.addline('->2. 20 HP - Price: %s Credits' %buy_health20)
    healthbuy.addline('->3. 30 HP - Price: %s Credits' %buy_health30)
    healthbuy.addline('->4. 40 HP - Price: %s Credits' %buy_health40)
    healthbuy.addline('->5. 50 HP - Price: %s Credits' %buy_health50)
    healthbuy.addline(' ')
    healthbuy.addline('->9. Back')
    healthbuy.addline('0. Close')
    healthbuy.unsend(userid)
    healthbuy.send(userid)
    healthbuy.delete()
    healthbuy.menuselect = healthbuymenuSelect

def healthroundstartmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    healthroundstartbuy = popuplib.create('healthroundstart_menu')
    healthroundstartbuy.addline('Health Spawn Bonus Menu')
    healthroundstartbuy.addline('You have %s Credits' %points[steamid]["credits"])
    healthroundstartbuy.addline(' ')
    healthroundstartbuy.addline('->1. + 10 HP on Spawn - Price: %s Credits' %buy_roundstarthealth10)
    healthroundstartbuy.addline('->2. + 20 HP on Spawn - Price: %s Credits' %buy_roundstarthealth20)
    healthroundstartbuy.addline('->3. + 30 HP on Spawn - Price: %s Credits' %buy_roundstarthealth30)
    healthroundstartbuy.addline('->4. + 40 HP on Spawn - Price: %s Credits' %buy_roundstarthealth40)
    healthroundstartbuy.addline('->5. + 50 HP on Spawn - Price: %s Credits' %buy_roundstarthealth50)
    healthroundstartbuy.addline(' ')
    healthroundstartbuy.addline('->9. Back')
    healthroundstartbuy.addline('0. Close')
    healthroundstartbuy.unsend(userid)
    healthroundstartbuy.send(userid)
    healthroundstartbuy.delete()
    healthroundstartbuy.menuselect = healthroundstartSelect

def killbonusmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    health = popuplib.create('health_menu')
    health.addline('Kill Bonus Menu')
    health.addline('You have %s Credits' %points[steamid]["credits"])
    health.addline(' ')
    health.addline('->1. Kill Bonus - Price: %s Credits' %buy_killbonus)
    health.addline('->2. Kill + Headshot Bonus - Price: %s Credits' %buy_headshotbonus)
    health.addline(' ')
    health.addline('->9. Back')
    health.addline('0. Close')
    health.unsend(userid)
    health.send(userid)
    health.delete()
    health.menuselect = killbonusSelect

def sellmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    sell = popuplib.create('sell_menu')
    sell.addline('Sell Features Menu')
    sell.addline('You have %s Credits' %points[steamid]["credits"])
    sell.addline(' ')
    sell.addline('->1. Sell AK Spawn Feature - %s Credits' %buy_akspawn)
    sell.addline('->2. Sell M4 Spawn Feature - %s Credits' %buy_m4spawn)
    sell.addline('->3. Sell AWP Spawn Feature - %s Credits' %buy_awpspawn)
    sell.addline('->4. Sell Low Gravity Feature - %s Credits' %buy_lowgrav)
    sell.addline('->5. Sell Speed Feature - %s Credits' %buy_speed)
    sell.addline('->6. Sell Startmoney Feature - %s Credits' %buy_startmoney)
    sell.addline('->7. Sell Respawn Feature - %s Credits' %buy_respawn)
    sell.addline(' ')
    sell.addline('->8. Next')
    sell.addline('->9. Back')
    sell.addline('0. Close')
    sell.unsend(userid)
    sell.send(userid)
    sell.delete()
    sell.menuselect = sellSelect

def sell2menu(userid, args):
    steamid = es.getplayersteamid(userid)
    sell2 = popuplib.create('sell2_menu')
    sell2.addline('Sell Features Menu')
    sell2.addline('You have %s Credits' %points[steamid]["credits"])
    sell2.addline(' ')
    sell2.addline('->1. Sell Starthealth 10 Feature - %s Credits' %buy_roundstarthealth10)
    sell2.addline('->1. Sell Starthealth 20 Feature - %s Credits' %buy_roundstarthealth20)
    sell2.addline('->2. Sell Starthealth 30 Feature - %s Credits' %buy_roundstarthealth30)
    sell2.addline('->3. Sell Starthealth 40 Feature - %s Credits' %buy_roundstarthealth40)
    sell2.addline('->4. Sell Starthealth 50 Feature - %s Credits' %buy_roundstarthealth50)
    sell2.addline('->5. Sell Half Invisibility Feature - %s Credits' %buy_halfinvis)
    sell2.addline('->6. Sell Full Invisibility Feature - %s Credits' %buy_fullinvis)
    sell2.addline(' ')
    sell2.addline('->8. Next')
    sell2.addline('->9. Back')
    sell2.addline('0. Close')
    sell2.unsend(userid)
    sell2.send(userid)
    sell2.delete()
    sell2.menuselect = sell2Select

def sell3menu(userid, args):
    steamid = es.getplayersteamid(userid)
    sell3 = popuplib.create('sell3_menu')
    sell3.addline('Sell Features Menu')
    sell3.addline('You have %s Credits' %points[steamid]["credits"])
    sell3.addline(' ')
    sell3.addline('->1. Sell Unlimited Ammo Feature - %s Credits' %buy_unlimitedammo)
    sell3.addline('->2. Sell Unlimited Nades Feature - %s Credits' %buy_unlimitednades)
    sell3.addline('->3. Sell Random Tracer - %s Credits' %buy_randomtracer)
    sell3.addline('->4. Sell Red Tracer - %s Credits' %buy_redtracer)
    sell3.addline('->5. Sell Green Coloured Tracer - %s Credits' %buy_greentracer)
    sell3.addline('->6. Sell Blue Coloured Tracer - %s Credits' %buy_bluetracer)
    sell3.addline('->7. Sell No Falldamage Feature - %s Credits' %buy_nofalldamage)
    sell3.addline(' ')
    sell3.addline('->8. Next')
    sell3.addline('->9. Back')
    sell3.addline('0. Close')
    sell3.unsend(userid)
    sell3.send(userid)
    sell3.delete()
    sell3.menuselect = sell3Select

def sell4menu(userid, args):
    steamid = es.getplayersteamid(userid)
    sell4 = popuplib.create('sell4_menu')
    sell4.addline('Sell Features Menu')
    sell4.addline('You have %s Credits' %points[steamid]["credits"])
    sell4.addline(' ')
    sell4.addline('->1. Sell Kill Bonus Feature - %s Credits' %buy_killbonus)
    sell4.addline('->2. Sell Headshot Bonus Feature - %s Credits' %buy_headshotbonus)
    sell4.addline(' ')
    sell4.addline('->8. Next')
    sell4.addline('->9. Back')
    sell4.addline('0. Close')
    sell4.unsend(userid)
    sell4.send(userid)
    sell4.delete()
    sell4.menuselect = sell4Select

def adminmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    admin = popuplib.create('admin_menu')
    admin.addline('Admin Menu')
    admin.addline('You have %s Credits' %points[steamid]["credits"])
    admin.addline(' ')
    admin.addline('->1. Give me 1000 Credits')
    admin.addline('->2. Give a player 1000 Credits')
    admin.addline(' ')
    admin.addline('->9. Back')
    admin.addline('0. Close')
    admin.unsend(userid)
    admin.send(userid)
    admin.delete()
    admin.menuselect = adminmenuSelect

def respawnmenu(userid, args):
    steamid = es.getplayersteamid(userid)
    respawn = popuplib.create('respawn_menu')
    respawn.addline('Respawn Menu')
    respawn.addline('You have %s Credits' %points[steamid]["credits"])
    respawn.addline(' ')
    respawn.addline('->1. Respawn Menu - Price: %s Credits' %buy_respawn)
    respawn.addline(' ')
    respawn.addline('->9. Back')
    respawn.addline('0. Close')
    respawn.unsend(userid)
    respawn.send(userid)
    respawn.delete()
    respawn.menuselect = respawnmenuSelect

def unlimitedammomenu(userid, args):
    steamid = es.getplayersteamid(userid)
    ammo = popuplib.create('unlimited_menu')
    ammo.addline('Unlimited Ammo')
    ammo.addline('You have %s Credits' %points[steamid]["credits"])
    ammo.addline(' ')
    ammo.addline('->1. Unlimited Ammo - Price: %s Credits' %buy_unlimitedammo)
    ammo.addline('->2. Unlimited Nades - Price: %s Credits' %buy_unlimitednades)
    ammo.addline(' ')
    ammo.addline('->9. Back')
    ammo.addline('0. Close')
    ammo.unsend(userid)
    ammo.send(userid)
    ammo.delete()
    ammo.menuselect = unlimitedammomenuSelect

def nofalldamagemenu(userid, args):
    steamid = es.getplayersteamid(userid)
    nodmg = popuplib.create('unlimited_menu')
    nodmg.addline('No Falldamage Menu')
    nodmg.addline('You have %s Credits' %points[steamid]["credits"])
    nodmg.addline(' ')
    nodmg.addline('->1. No Falldamage - Price: %s Credits' %buy_nofalldamage)
    nodmg.addline(' ')
    nodmg.addline('->9. Back')
    nodmg.addline('0. Close')
    nodmg.unsend(userid)
    nodmg.send(userid)
    nodmg.delete()
    nodmg.menuselect = nofalldamagemenuSelect

def hitmarkermenu(userid, args):
    steamid = es.getplayersteamid(userid)
    hitmarker = popuplib.create('unlimited_menu')
    hitmarker.addline('Hitmarker Menu')
    hitmarker.addline('You have %s Credits' %points[steamid]["credits"])
    hitmarker.addline(' ')
    hitmarker.addline('->1. Hitmarker - Price: %s Credits' %buy_hitmarker)
    hitmarker.addline(' ')
    hitmarker.addline('->9. Back')
    hitmarker.addline('0. Close')
    hitmarker.unsend(userid)
    hitmarker.send(userid)
    hitmarker.delete()
    hitmarker.menuselect = hitmarkermenuSelect

def shopSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if weapon_buy_menu_enabled == 1:
            buymenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 2:
        if spawn_menu_enabled == 1:
            spawnmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 3:
        if fun_features_menu_enabled == 1:
            funstuffmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 4:
        if health_menu_enabled == 1:
            healthmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 5:
        if kill_bonus_menu_enabled == 1:
            killbonusmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 6:
        if send_credits_menu_enabled == 1:
            sendcreditsamountmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 7:
        if sell_menu_enabled == 1:
            sellmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shopMenu(userid, None)
    elif choice == 8:
        if steamid in admins:
            if admin_menu_enabled == 1:
                adminmenu(userid, None)
            else: 
                tell(userid, "This feature has been disabled.")
                shopMenu(userid, None)
        else: shopMenu(userid, None)
    elif choice == 9:
        shop2Menu(userid, None)

def shop2Select(userid, choice, popupid):
    if choice == 1:
        if respawn_menu_enabled == 1:
            respawnmenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shop2Menu(userid, None)
    elif choice == 2:
        if unlimited_ammo_menu_enabled == 1:
            unlimitedammomenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shop2Menu(userid, None)
    elif choice == 3:
        if no_falldamage_menu_enabled == 1:
            nofalldamagemenu(userid, None)
        else: 
            tell(userid, "This feature has been disabled.")
            shop2Menu(userid, None)
    elif choice == 4:
        if hitmarker_menu_enabled == 1:
            hitmarkermenu(userid, None)
        else:
            tell(userid, "This feature has been disabled.")
            shop2Menu(userid, None)
    if choice in (5, 6, 7, 8):
        shop2Menu(userid, None)
    elif choice == 9:
        shopMenu(userid, None)

def hitmarkermenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if points[steamid]["hitmarker"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_hitmarker:
                points[steamid]["hitmarker"] = 1
                points[steamid]["credits"] -= buy_hitmarker
                tell(userid, "You bought the Hitmarker feature. Everytime you hit / flash an enemy you will see a hitmarker in the middle of your screen.")
            else:
                tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        shop2Menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        hitmarkermenu(userid, None)

def respawnmenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if points[steamid]["respawn"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_respawn:
                points[steamid]["respawn"] = 1
                points[steamid]["credits"] -= buy_respawn
                tell(userid, "You successfully bought the Respawn Menu feature. Everytime you die, a popup will appear, where you can choose to respawn or not.")
            else:
                tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        shop2Menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        respawnmenu(userid, None)

def unlimitedammomenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if points[steamid]["unlimitedammo"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_unlimitedammo:
                points[steamid]["unlimitedammo"] = 1
                points[steamid]["credits"] -= buy_unlimitedammo
                tell(userid, "You successfully bought the Unlimited Ammo Feature")
            else: tell(userid, "You don't have enough credits to buy this feature")
    elif choice == 2:
        if points[steamid]["unlimitednades"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_unlimitednades:
                points[steamid]["unlimitednades"] = 1
                points[steamid]["credits"] -= buy_unlimitednades
                tell(userid, "You successfully bought the Unlimited Nades Feature.")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        shop2Menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        unlimitedammomenu(userid, None)

def nofalldamagemenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if points[steamid]["nofalldamage"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_nofalldamage:
                points[steamid]["nofalldamage"] = 1
                points[steamid]["credits"] -= buy_nofalldamage
                tell(userid, "You successfully bought the No Falldamage Feature.")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        shop2Menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        nofalldamagemenu(userid, None)

def adminmenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        points[steamid]["credits"] += 1000
        tell(userid, "You got 1000 credits")
    elif choice == 2:
        admin_send_credits = popuplib.construct('admin_send_credits', 'players', '#human', admin_send_credits_select)
        admin_send_credits.settitle("Send 1000 Credits to a Player:")
	popuplib.send('admin_send_credits', userid)
    elif choice == 9:
        shopmenu(userid, None)
    if choice in (1, 3, 4, 5, 6, 7, 8):
        adminmenu(userid, None)

def admin_send_credits_select(userid, choice, popupid):
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    points[rsteamid]["credits"] += 1000
    tell(userid, "You've sent 1000 credits to %s." %rname)
    tell(receiver, "Admin %s sent you 1000 credits." %name)
    popuplib.send('admin_send_credits', userid)
        
def scaSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if points[steamid]["credits"] > 4:
            send_5_credits = popuplib.construct('send_5_credits', 'players', '#human', send_5_credits_select)
	    send_5_credits.settitle("Send 5 Credits to a Player:")
	    popuplib.send('send_5_credits', userid)
        else: 
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 2:
        if points[steamid]["credits"] > 9:
            send_10_credits = popuplib.construct('send_10_credits', 'players', '#human', send_10_credits_select)
	    send_10_credits.settitle("Send 10 Credits to a Player:")
	    popuplib.send('send_10_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 3:
        if points[steamid]["credits"] > 19:
            send_20_credits = popuplib.construct('send_20_credits', 'players', '#human', send_20_credits_select)
	    send_20_credits.settitle("Send 20 Credits to a Player:")
	    popuplib.send('send_20_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 4:
        if points[steamid]["credits"] > 49:
            send_50_credits = popuplib.construct('send_50_credits', 'players', '#human', send_50_credits_select)
	    send_50_credits.settitle("Send 50 Credits to a Player:")
	    popuplib.send('send_50_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 5:
        if points[steamid]["credits"] > 99:
            send_100_credits = popuplib.construct('send_100_credits', 'players', '#human', send_100_credits_select)
	    send_100_credits.settitle("Send 100 Credits to a Player:")
	    popuplib.send('send_100_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 6:
        if points[steamid]["credits"] > 199:
            send_200_credits = popuplib.construct('send_200_credits', 'players', '#human', send_200_credits_select)
	    send_200_credits.settitle("Send 200 Credits to a Player:")
	    popuplib.send('send_200_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 7:
        if points[steamid]["credits"] > 499:
            send_500_credits = popuplib.construct('send_500_credits', 'players', '#human', send_500_credits_select)
	    send_500_credits.settitle("Send 500 Credits to a Player:")
	    popuplib.send('send_500_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 8:
        if points[steamid]["credits"] > 999:
            send_1000_credits = popuplib.construct('send_1000_credits', 'players', '#human', send_1000_credits_select)
	    send_1000_credits.settitle("Send 1000 Credits to a Player:")
	    popuplib.send('send_1000_credits', userid)
        else:
            tell(userid, "You don't have enough credits.")
            sendcreditsamount(userid, None)
    elif choice == 9:
        shopMenu(userid, None)

def send_5_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_5_credits', userid)
    else:
        points[steamid]["credits"] -= 5
        points[rsteamid]["credits"] += 5
        tell(userid, "You've sent 5 credits to %s." %rname)
        tell(receiver, "%s sent you 5 credits." %name)
        popuplib.send('send_5_credits', userid)

def send_10_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_10_credits', userid)
    else:
        points[steamid]["credits"] -= 10
        points[rsteamid]["credits"] += 10
        tell(userid, "You've sent 10 credits to %s." %rname)
        tell(receiver, "%s sent you 10 credits." %name)
        popuplib.send('send_10_credits', userid)

def send_20_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_20_credits', userid)
    else:
        points[steamid]["credits"] -= 20
        points[rsteamid]["credits"] += 20
        tell(userid, "You've sent 20 credits to %s." %rname)
        tell(receiver, "%s sent you 20 credits." %name)
        popuplib.send('send_20_credits', userid)

def send_50_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_50_credits', userid)
    else:
        points[steamid]["credits"] -= 50
        points[rsteamid]["credits"] += 50
        tell(userid, "You've sent 50 credits to %s." %rname)
        tell(receiver, "%s sent you 50 credits." %name)
        popuplib.send('send_50_credits', userid)

def send_100_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_100_credits', userid)
    else:
        points[steamid]["credits"] -= 100
        points[rsteamid]["credits"] += 100
        tell(userid, "You sent 100 credits to %s." %rname)
        tell(receiver, "%s sent you 100 credits." %name)
        popuplib.send('send_100_credits', userid)

def send_200_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_200_credits', userid)
    else:
        points[steamid]["credits"] -= 200
        points[rsteamid]["credits"] += 200
        tell(userid, "You've sent 200 credits to %s." %rname)
        tell(receiver, "%s sent you 200 credits." %name)
        popuplib.send('send_200_credits', userid)

def send_500_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_500_credits', userid)
    else:
        points[steamid]["credits"] -= 500
        points[steamid]["credits"] += 500
        tell(userid, "You've sent 500 credits to %s." %rname)
        tell(receiver, "%s sent you 500 credits." %name)
        popuplib.send('send_500_credits', userid)

def send1000_credits_select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    name = es.getplayername(userid)
    receiver = int(choice)
    rsteamid = es.getplayersteamid(receiver)
    rname = es.getplayername(receiver)
    if receiver == userid:
        tell(userid, "You can't send credits to yourself.")
        popuplib.send('send_1000_credits', userid)
    else:
        points[steamid]["credits"] -= 1000
        points[rsteamid]["credits"] += 1000
        tell(userid, "You've sent 1000 credits to %s." %rname)
        tell(receiver, "%s sent you 1000 credits." %name)
        popuplib.send('send_1000_credits', userid)

def buymenuSelect(userid, choice, popupid):
    if choice == 1:
        pistolbuy(userid, None)
    elif choice == 2:
        shotgunbuy(userid, None)
    elif choice == 3:
        smgbuy(userid, None)
    elif choice == 4:
        riflebuy(userid, None)
    elif choice == 5:
        mgbuy(userid, None)
    elif choice == 6:
        equipbuy(userid, None)
    elif choice == 9:
        shopMenu(userid, None)

def pistolSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    secondary = playerlib.getPlayer(userid).getSecondary()
    if choice == 1:
        if not isdead:
            if not secondary:
                if points[steamid]["credits"] > buy_glock:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_glock"))
                    points[steamid]["credits"] -= buy_glock
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a secondary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 2:
        if not isdead:
            if not secondary:
                if points[steamid]["credits"] > buy_usp:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_usp"))
                    points[steamid]["credits"] -= buy_usp
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a secondary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 3:
        if not isdead:
            if not secondary:
                if points[steamid]["credits"] > buy_p228:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_p228"))
                    points[steamid]["credits"] -= buy_p228
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a secondary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 4:
        if not isdead:
            if not secondary:
                if points[steamid]["credits"] > buy_deagle:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_deagle"))
                    points[steamid]["credits"] -= buy_deagle
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a secondary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 5:
        if not isdead:
            if not secondary:
                if points[steamid]["credits"] > buy_fiveseven:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_fiveseven"))
                    points[steamid]["credits"] -= buy_fiveseven
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a secondary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 6:
        if not isdead:
            if not secondary:
                if points[steamid]["credits"] > buy_elite:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_elite"))
                    points[steamid]["credits"] -= buy_elite
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a secondary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 9:
        buymenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        pistolbuy(userid, None)

def shotgunSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    primary = playerlib.getPlayer(userid).getPrimary()
    if choice == 1:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_m3:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_m3"))
                    points[steamid]["credits"] -= buy_m3
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 2:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_autoshotgun:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_xm1014"))
                    points[steamid]["credits"] -= buy_autoshotgun
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 9:
        buymenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        shotgunbuy(userid, None)

def smgSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    primary = playerlib.getPlayer(userid).getPrimary()
    if choice == 1:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_tmp:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_tmp"))
                    points[steamid]["credits"] -= buy_tmp
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 2:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_mp5:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_mp5navy"))
                    points[steamid]["credits"] -= buy_mp5
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 3:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_ump45:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_ump45"))
                    points[steamid]["credits"] -= buy_ump45
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 4:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_p90:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_p90"))
                    points[steamid]["credits"] -= buy_p90
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 9:
        buymenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        smgbuy(userid, None)

def rifleSelect(userid, choice, popupid):
    if choice == 1:
        rifletbuy(userid, None)
    elif choice == 2:
        riflectbuy(userid, None)
    elif choice == 9:
        buymenu(userid, None)
    if choice in (3, 4, 5, 6, 7, 8):
        riflebuy(userid, None)

def rifletSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    primary = playerlib.getPlayer(userid).getPrimary()
    if choice == 1:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_galil:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_galil"))
                    points[steamid]["credits"] -= buy_galil
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 2:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_scout:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_scout"))
                    points[steamid]["credits"] -= buy_scout
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 3:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_ak:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_ak47"))
                    points[steamid]["credits"] -= buy_ak
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 4:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_krieg:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_sg552"))
                    points[steamid]["credits"] -= buy_krieg
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 5:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_awp:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_awp"))
                    points[steamid]["credits"] -= buy_awp
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 6:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_autosnipert:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_g3sg1"))
                    points[steamid]["credits"] -= buy_ak
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 9:
        riflebuy(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        rifletbuy(userid, None)

def riflectSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    primary = playerlib.getPlayer(userid).getPrimary()
    if choice == 1:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_famas:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_famas"))
                    points[steamid]["credits"] -= buy_famas
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 2:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_scout:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_scout"))
                    points[steamid]["credits"] -= buy_scout
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 3:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_m4:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_m4a1"))
                    points[steamid]["credits"] -= buy_ak
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 4:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_bullpup:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_aug"))
                    points[steamid]["credits"] -= buy_bullpup
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 5:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_awp:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_awp"))
                    points[steamid]["credits"] -= buy_awp
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 6:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_autosniperct:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_sg550"))
                    points[steamid]["credits"] -= buy_ak
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 9:
        riflebuy(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        riflectbuy(userid, None)

def mgSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    primary = playerlib.getPlayer(userid).getPrimary()
    if choice == 1:
        if not isdead:
            if not primary:
                if points[steamid]["credits"] > buy_m249:
                    es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_m249"))
                    points[steamid]["credits"] -= buy_m249
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a primary weapon.')
        else:
            tell(userid, 'You must be alive to buy a weapon.')
    elif choice == 9:
        buymenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        mgbuy(userid, None)

def equipSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    player = player = playerlib.getPlayer(userid)
    team = es.getplayerteam(userid)
    if choice == 1:
        if not isdead:
            if points[steamid]["credits"] > buy_primammo:
                es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_primammo"))
                points[steamid]["credits"] -= buy_primammo
            else:
                tell(userid, 'You have not enough credits to buy this.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 2:
        if not isdead:
            if points[steamid]["credits"] > buy_secammo:
                es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_secammo"))
                points[steamid]["credits"] -= buy_secammo
            else:
                tell(userid, 'You have not enough credits to buy this.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 3:
        if not isdead:
            if points[steamid]["credits"] > buy_vest:
                es.server.queuecmd('es_xgive %s %s' % (userid, "item_kevlar"))
                points[steamid]["credits"] -= buy_vest
            else:
                tell(userid, 'You have not enough credits to buy this.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 4:
        if not isdead:
            if points[steamid]["credits"] > buy_vesthelm:
                es.server.queuecmd('es_xgive %s %s' % (userid, "item_assaultsuit"))
                points[steamid]["credits"] -= buy_vesthelm
            else:
                tell(userid, 'You have not enough credits to buy this.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 5:
        if not isdead:
            if player.getFB() in (0, 1):
                if points[steamid]["credits"] > buy_flashbang:
                    es.server.queuecmd('es_xgive %s weapon_flashbang' % userid)
                    points[steamid]["credits"] -= buy_flashbang
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You have too many flashbangs.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 6:
        if not isdead:
            if player.getHE() == 0:
                if points[steamid]["credits"] > buy_hegrenade:
                    es.server.queuecmd('es_xgive %s weapon_hegrenade' % userid)
                    points[steamid]["credits"] -= buy_hegrenade
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a HE grenade.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 7:
        if not isdead:
            if player.getSG() == 0:
                if points[steamid]["credits"] > buy_smoke:
                    es.server.queuecmd('es_xgive %s weapon_smokegrenade' % userid)
                    points[steamid]["credits"] -= buy_smoke
                else:
                    tell(userid, 'You have not enough credits to buy this.')
            else:
                tell(userid, 'You already have a Smoke grenade.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 8:
        if not isdead:
            if player.hasDefuser() == 0:
                if team == 3:
                    if points[steamid]["credits"] > buy_defuser:
                        es.server.queuecmd('es_xgive %s item_defuser' % userid)
                        points[steamid]["credits"] -= buy_defuser
                    else:
                        tell(userid, 'You have not enough credits to buy this.')
                else:
                    tell(userid, "You can't buy a defuser if you are not a Counter-Terrorist.")
            else:
                tell(userid, 'You already have a defuser.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 9:
        buymenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        equipbuy(userid, None)

def spawnmenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    primary = playerlib.getPlayer(userid).getPrimary()
    if choice == 1:
        if points[steamid]["akspawn"] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] > buy_akspawn:
                points[steamid]["awpspawn"] = 0
                points[steamid]["m4spawn"] = 0
                points[steamid]["akspawn"] = 1
                points[steamid]["credits"] -= buy_akspawn
                tell(userid, 'You will get now an AK47 every time you spawn.')
                if not isdead:
                    if not primary:
                        es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_ak47"))
                    else:
                        tell(userid, "Couldn't give you a weapon now, because you already have a primary weapon.")
                else:
                    tell(userid, "Couldn't give you a weapon now, because you are dead.")
            else:
                tell(userid, 'You have not enough credits to buy this.')
    elif choice == 2:
        if points[steamid]["m4spawn"] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] > buy_m4spawn:
                points[steamid]["akspawn"] = 0
                points[steamid]["awpspawn"] = 0
                points[steamid]["m4spawn"] = 1
                points[steamid]["credits"] -= buy_m4spawn
                tell(userid, 'You will get now a M4A1 every time you spawn.')
                if not isdead:
                    if not primary:
                        es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_m4a1"))
                    else:
                        tell(userid, "Couldn't give you a weapon now, because you already have a primary weapon.")
                else:
                    tell(userid, "Couldn't give you a weapon now, because you are dead.")
            else:
                tell(userid, 'You have not enough credits to buy this.')
    elif choice == 3:
        if points[steamid]["awpspawn"] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] > buy_awpspawn:
                points[steamid]["akspawn"] = 0
                points[steamid]["m4spawn"] = 0
                points[steamid]["awpspawn"] = 1
                points[steamid]["credits"] -= buy_awpspawn
                tell(userid, 'You will get now an AWP every time you spawn.')
                if not isdead:
                    if not primary:
                        es.server.queuecmd('es_xgive %s %s' % (userid, "weapon_awp"))
                    else:
                        tell(userid, "Couldn't give you a weapon now, because you already have a primary weapon.")
                else:
                    tell(userid, "Couldn't give you a weapon now, because you are dead.")
            else:
                tell(userid, 'You have not enough credits to buy this.')
    elif choice == 9:
        shopMenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        spawnmenu(userid, None)

def funstuffSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    player = playerlib.getPlayer(userid)
    if choice == 1:
        if points[steamid]["lgrav"] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] > buy_lowgrav:
                points[steamid]["lgrav"] = 1
                points[steamid]["credits"] -= buy_lowgrav
                if not isdead:
                    es.server.queuecmd('es_fire %s !self addoutput "gravity 0.5"' % userid)
                    tell(userid, 'You successfully bought #greenLow Gravity#lightgreen. Your gravity has been set to 0.5.')
                else:
                    tell(userid, 'You successfully bought #greenLow Gravity#lightgreen. Your gravity will be set to 0.5.')
            else:
                tell(userid, 'You have not enough credits to buy this.')
    elif choice == 2:
        if points[steamid]["speed"] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] > buy_speed:
                points[steamid]["speed"] = 1
                points[steamid]["credits"] -= buy_speed
                if not isdead:
                    player.setSpeed("1.5")
                    tell(userid, 'You successfully bought #greenSpeed#lightgreen. Your speed has been set to 1.5.')
                else:
                    tell(userid, 'You successfully bought #greenSpeed#lightgreen. Your speed will be set to 1.5.')
            else:
                tell(userid, 'You have not enough credits to buy this.')
    elif choice == 3:
        if points[steamid]["startmoney"] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] > buy_startmoney:
                points[steamid]["startmoney"] = 1
                points[steamid]["credits"] -= buy_startmoney
                tell(userid, 'You successfully bought 16000$ Startmoney Feature.')
            else:
                tell(userid, 'You have not enough credits to buy this.')
    elif choice == 4:
        if invis_menu_enabled == 1:
            invismenu(userid, None)
        else:
            tell(userid, "This features has been disabled.")
    elif choice == 5:
        if tracers_menu_enabled == 1:
            tracersmenu(userid, None)
        else:
            tell(userid, "This features has been disabled.")
    elif choice == 9:
        shopMenu(userid, None)
    if choice in (1, 2, 3, 6 , 7, 8):
        funstuffmenu(userid, None)

def invisSelect(userid, choice, pupupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    player = playerlib.getPlayer(userid)
    if choice == 1:
        if points[steamid]["halfinvis"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_halfinvis:
                points[steamid]["fullinvis"] = 0
                points[steamid]["halfinvis"] = 1
                points[steamid]["credits"] -= buy_halfinvis
                if not isdead:
                    player.setColor(255, 255, 255, 100)
                    tell(userid, "You bought half invisibility successfully.")
                else: tell(userid, "You bought half invisibilty successfully. You will spawn now with half invisibility.")
            else:
                tell(userid, "You have not enough credits to buy this feature.")
    elif choice == 2:
        if points[steamid]["fullinvis"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_fullinvis:
                points[steamid]["halfinvis"] = 0
                points[steamid]["fullinvis"] = 1
                points[steamid]["credits"] -= buy_fullinvis
                if not isdead:
                    player.setColor(255, 255, 255, 0)
                    tell(userid, "You bought full invisibility successfully.")
                else: tell(userid, "You bought full invisibilty successfully. You will spawn with full invisibility.")
            else:
                tell(userid, "You have not enough credits to buy this feature.")
    elif choice == 9:
        funstuffmenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        invismenu(userid, None)

def tracersSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if points[steamid]["randomtracer"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_randomtracer:
                points[steamid]["redtracer"] = 0
                points[steamid]["greentracer"] = 0
                points[steamid]["bluetracer"] = 0
                points[steamid]["randomtracer"] = 1
                points[steamid]["credits"] -= buy_randomtracer
                tell(userid, "You bought the random tracers feature")
            else: tell(userid, "You don't have enough credits to buy this feature")
    elif choice == 2:
        if points[steamid]["redtracer"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_redtracer:
                points[steamid]["randomtracer"] = 0
                points[steamid]["greentracer"] = 0
                points[steamid]["bluetracer"] = 0
                points[steamid]["redtracer"] = 1
                points[steamid]["credits"] -= buy_redtracer
                tell(userid, "You bought the red tracers feature")
            else: tell(userid, "You don't have enough credits to buy this feature")
    elif choice == 3:
        if points[steamid]["greentracer"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_greentracer:
                points[steamid]["randomtracer"] = 0
                points[steamid]["redtracer"] = 0
                points[steamid]["bluetracer"] = 0
                points[steamid]["greentracer"] = 1
                points[steamid]["credits"] -= buy_redtracer
                tell(userid, "You bought the green tracers feature")
            else: tell(userid, "You don't have enough credits to buy this feature")
    elif choice == 4:
        if points[steamid]["bluetracer"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_bluetracer:
                points[steamid]["randomtracer"] = 0
                points[steamid]["greentracer"] = 0
                points[steamid]["redtracer"] = 0
                points[steamid]["bluetracer"] = 1
                points[steamid]["credits"] -= buy_bluetracer
                tell(userid, "You bought the blue tracers feature")
            else: tell(userid, "You don't have enough credits to buy this feature")
    elif choice == 9:
        funstuffmenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        tracersmenu(userid, None)


def healthSelect(userid, choice, popupid):
    if choice == 1:
        healthbuymenu(userid, None)
    elif choice == 2:
        healthroundstartmenu(userid, None)
    elif choice == 9:
        shopMenu(userid, None)
    if choice in (3, 4, 5, 6, 7, 8):
        healthmenu(userid, None)

def healthbuymenuSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    isdead = es.getplayerprop(userid, 'CBasePlayer.pl.deadflag')
    if choice == 1:
        if not isdead:
            if points[steamid]["credits"] > buy_health10:
                es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 10)
                tell(userid, 'You bought a health bonus of 10.')
                points[steamid]["credits"] -= buy_health10
            else:
                tell(userid, 'You have not enough credits to buy this.')
        else:
            tell(userid, 'You must be alive to buy this.')
    if choice == 2:
        if not isdead:
            if points[steamid]["credits"] > buy_health20:
                es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 20)
                tell(userid, 'You bought a health bonus of 20.')
                points[steamid]["credits"] -= buy_health20
            else:
                tell(userid, 'You have not enough credits to buy this.')
        else:
            tell(userid, 'You must be alive to buy this.')
    if choice == 3:
        if not isdead:
            if points[steamid]["credits"] > buy_health30:
                es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 30)
                tell(userid, 'You bought a health bonus of 30.')
                points[steamid]["credits"] -= buy_health30
            else:
                tell(userid, 'You have not enough credits to buy this.')
        else:
            tell(userid, 'You must be alive to buy this.')
    if choice == 4:
        if not isdead:
            if points[steamid]["credits"] > buy_health40:
                es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 40)
                tell(userid, 'You bought a health bonus of 40.')
                points[steamid]["credits"] -= buy_health40
            else:
                tell(userid, 'You have not enough credits to buy this.')
        else:
            tell(userid, 'You must be alive to buy this.')
    if choice == 5:
        if not isdead:
            if points[steamid]["credits"] > buy_health50:
                es.setplayerprop(userid, "CBasePlayer.m_iHealth", es.getplayerprop(userid, "CBasePlayer.m_iHealth") + 50)
                tell(userid, 'You bought a health bonus of 50.')
                points[steamid]["credits"] -= buy_health50
            else:
                tell(userid, 'You have not enough credits to buy this.')
        else:
            tell(userid, 'You must be alive to buy this.')
    elif choice == 9:
        healthmenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        healthbuymenu(userid, None)
        

def healthroundstartSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if points[steamid]["starthealth10"] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] > buy_roundstarthealth10:
                points[steamid]["starthealth20"] = 0
                points[steamid]["starthealth30"] = 0
                points[steamid]["starthealth40"] = 0
                points[steamid]["starthealth50"] = 0
                points[steamid]["starthealth10"] = 1
                points[steamid]["credits"] -= buy_roundstarthealth10
                tell(userid, 'You will get now a health bonus of 10 every round.')
            else:
                tell(userid, 'You have not enough credits to buy this.')
    elif choice == 2:
        if points[steamid]["starthealth20"] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] > buy_roundstarthealth20:
                points[steamid]["starthealth10"] = 0
                points[steamid]["starthealth30"] = 0
                points[steamid]["starthealth40"] = 0
                points[steamid]["starthealth50"] = 0
                points[steamid]["starthealth20"] = 1
                points[steamid]["credits"] -= buy_roundstarthealth20
                tell(userid, 'You will get now a health bonus of 20 every round.')
            else:
                tell(userid, 'You have not enough credits to buy this.')
    elif choice == 3:
        if points[steamid]["starthealth30"] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] > buy_roundstarthealth30:
                points[steamid]["starthealth10"] = 0
                points[steamid]["starthealth20"] = 0
                points[steamid]["starthealth40"] = 0
                points[steamid]["starthealth50"] = 0
                points[steamid]["starthealth30"] = 1
                points[steamid]["credits"] -= buy_roundstarthealth30
                tell(userid, 'You will get now a health bonus of 30 every round.')
            else:
                tell(userid, 'You have not enough credits to buy this.')
    elif choice == 4:
        if points[steamid]["starthealth40"] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] > buy_roundstarthealth40:
                points[steamid]["starthealth10"] = 0
                points[steamid]["starthealth20"] = 0
                points[steamid]["starthealth30"] = 0
                points[steamid]["starthealth50"] = 0
                points[steamid]["starthealth40"] = 1
                points[steamid]["credits"] -= buy_roundstarthealth40
                tell(userid, 'You will get now a health bonus of 40 every round.')
            else:
                tell(userid, 'You have not enough credits to buy this.')
    elif choice == 5:
        if points[steamid]["starthealth50"] == 1:
            tell(userid, 'You already have this feature!')
        else:
            if points[steamid]["credits"] > buy_roundstarthealth50:
                points[steamid]["starthealth10"] = 0
                points[steamid]["starthealth20"] = 0
                points[steamid]["starthealth30"] = 0
                points[steamid]["starthealth40"] = 0
                points[steamid]["starthealth50"] = 1
                points[steamid]["credits"] -= buy_roundstarthealth50
                tell(userid, 'You will get now a health bonus of 50 every round.')
            else:
                tell(userid, 'You have not enough credits to buy this.')
    elif choice == 9:
        healthmenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        healthroundstartmenu(userid, None)

def killbonusSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if points[steamid]["killbonus"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_killbonus:
                points[steamid]["headshotbonus"] = 0
                points[steamid]["killbonus"] = 1
                points[steamid]["credits"] -= buy_killbonus
                tell(userid, "You bought the kill bonus feature")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 2:
        if points[steamid]["headshotbonus"] == 1:
            tell(userid, "You already have this feature!")
        else:
            if points[steamid]["credits"] > buy_headshotbonus:
                points[steamid]["killbonus"] = 0
                points[steamid]["headshotbonus"] = 1
                points[steamid]["credits"] -= buy_headshotbonus
                tell(userid, "You bought the headshot bonus feature")
            else: tell(userid, "You don't have enough credits to buy this feature.")
    elif choice == 9:
        shopMenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        killbonusmenu(userid, None)



def sellSelect(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    player = playerlib.getPlayer(userid)
    if choice == 1:
        if points[steamid]["akspawn"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["akspawn"] == 1:
            points[steamid]["akspawn"] = 0
            points[steamid]["credits"] += buy_akspawn
            tell(userid, 'You got %s credits for selling AK Spawn Feature' %buy_akspawn)
    elif choice == 2:
        if points[steamid]["m4spawn"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["m4spawn"] == 1:
            points[steamid]["m4spawn"] = 0
            points[steamid]["credits"] += buy_m4spawn
            tell(userid, 'You got %s credits for selling M4 Spawn Feature' %buy_m4spawn)
    elif choice == 3:
        if points[steamid]["awpspawn"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["awpspawn"] == 1:
            points[steamid]["awpspawn"] = 0
            points[steamid]["credits"] += buy_awpspawn
            tell(userid, 'You got %s credits for selling AWP Spawn Feature' %buy_awpspawn)
    elif choice == 4:
        if points[steamid]["lgrav"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["lgrav"] == 1:
            points[steamid]["lgrav"] = 0
            points[steamid]["credits"] += buy_lowgrav
            es.server.queuecmd('es_fire %s !self addoutput "gravity 1.0"' % userid)
            tell(userid, 'You got %s credits for selling Low Gravity Feature' %buy_lowgrav)
    elif choice == 5:
        if points[steamid]["speed"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["speed"] == 1:
            points[steamid]["speed"] = 0
            points[steamid]["credits"] += buy_speed
            player.setSpeed("1")
            tell(userid, 'You got %s credits for selling Speed Feature' %buy_speed)
    elif choice == 6:
        if points[steamid]["startmoney"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["startmoney"] == 1:
            points[steamid]["startmoney"] = 0
            points[steamid]["credits"] += buy_startmoney
            tell(userid, 'You got %s credits for selling Startmoney Feature' %buy_startmoney)
    elif choice == 7:
        if points[steamid]["respawn"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["respawn"] == 1:
            points[steamid]["respawn"] = 0
            points[steamid]["credits"] += buy_respawn
            tell(userid, 'You got %s credits for selling Respawn Feature' %buy_respawn)
    elif choice == 8:
        sell2menu(userid, None)
    elif choice == 9:
        shopMenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7):
        sellmenu(userid, None)
        
def sell2Select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if points[steamid]["starthealth10"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["starthealth10"] == 1:
            points[steamid]["starthealth10"] = 0
            points[steamid]["credits"] += buy_roundstarthealth10
            tell(userid, 'You got %s credits for selling Roundstart Health 10 Bonus Feature' %buy_roundstarthealth10)
    elif choice == 2:
        if points[steamid]["starthealth20"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["starthealth20"] == 1:
            points[steamid]["starthealth20"] = 0
            points[steamid]["credits"] += buy_roundstarthealth20
            tell(userid, 'You got %s credits for selling Roundstart Health 20 Bonus Feature' %buy_roundstarthealth20)
    elif choice == 3:
        if points[steamid]["starthealth30"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["starthealth30"] == 1:
            points[steamid]["starthealth30"] = 0
            points[steamid]["credits"] += buy_roundstarthealth30
            tell(userid, 'You got %s credits for selling Roundstart Health 30 Bonus Feature' %buy_roundstarthealth30)
    elif choice == 4:
        if points[steamid]["starthealth40"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["starthealth40"] == 1:
            points[steamid]["starthealth40"] = 0
            points[steamid]["credits"] += buy_roundstarthealth40
            tell(userid, 'You got %s credits for selling Roundstart Health 40 Bonus Feature' %buy_roundstarthealth40)
    elif choice == 5:
        if points[steamid]["starthealth50"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["starthealth50"] == 1:
            points[steamid]["starthealth50"] = 0
            points[steamid]["credits"] += buy_roundstarthealth50
            tell(userid, 'You got %s credits for selling Roundstart Health 50 Bonus Feature' %buy_roundstarthealth50)
    elif choice == 6:
        if points[steamid]["halfinvis"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["halfinvis"] == 1:
            points[steamid]["halfinvis"] = 0
            points[steamid]["credits"] += buy_halfinvis
            tell(userid, 'You got %s credits for selling Half Invisibility Feature' %buy_halfinvis)
    elif choice == 7:
        if points[steamid]["fullinvis"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["fullinvis"] == 1:
            points[steamid]["fullinvis"] = 0
            points[steamid]["credits"] += buy_fullinvis
            tell(userid, 'You got %s credits for selling Half Invisibility Feature' %buy_fullinvis)
    elif choice == 8:
        sell3menu(userid, None)
    elif choice == 9:
        sellmenu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7):
        sell2menu(userid, None)

def sell3Select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if points[steamid]["unlimitedammo"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["unlimitedammo"] == 1:
            points[steamid]["unlimitedammo"] = 0
            points[steamid]["credits"] += buy_unlimitedammo
            tell(userid, 'You got %s credits for selling Unlimited Ammo Feature' %buy_unlimitedammo)
    elif choice == 2:
        if points[steamid]["unlimitednades"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["unlimitednades"] == 1:
            points[steamid]["unlimitednades"] = 0
            points[steamid]["credits"] += buy_unlimitednades
            tell(userid, 'You got %s credits for selling Unlimited Ammo Feature' %buy_unlimitednades)
    elif choice == 3:
        if points[steamid]["randomtracer"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["randomtracer"] == 1:
            points[steamid]["randomtracer"] = 0
            points[steamid]["credits"] += buy_randomtracer
            tell(userid, 'You got %s credits for selling Random Coloured Tracers Feature' %buy_randomtracer)
    elif choice == 4:
        if points[steamid]["redtracer"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["redtracer"] == 1:
            points[steamid]["redtracer"] = 0
            points[steamid]["credits"] += buy_redtracer
            tell(userid, 'You got %s credits for selling Red Tracers Feature' %buy_randomtracer)
    elif choice == 5:
        if points[steamid]["greentracer"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["greentracer"] == 1:
            points[steamid]["greentracer"] = 0
            points[steamid]["credits"] += buy_greentracer
            tell(userid, 'You got %s credits for selling Green Tracers Feature' %buy_greentracer)
    elif choice == 6:
        if points[steamid]["bluetracer"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["bluetracer"] == 1:
            points[steamid]["bluetracer"] = 0
            points[steamid]["credits"] += buy_bluetracer
            tell(userid, 'You got %s credits for selling Blue Tracers Feature' %buy_bluetracer)
    elif choice == 7:
        if points[steamid]["nofalldamage"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["nofalldamage"] == 1:
            points[steamid]["nofalldamage"] = 0
            points[steamid]["credits"] += buy_nofalldamage
            tell(userid, 'You got %s credits for selling No Falldamage Feature' %buy_nofalldamage)
    elif choice == 8:
        sell4menu(userid, None)
    elif choice == 9:
        sell2menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7):
        sell3menu(userid, None)

def sell4Select(userid, choice, popupid):
    steamid = es.getplayersteamid(userid)
    if choice == 1:
        if points[steamid]["killbonus"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["killbonus"] == 1:
            points[steamid]["killbonus"] = 0
            points[steamid]["credits"] += buy_killbonus
            tell(userid, 'You got %s credits for selling Kill Bonus Feature' %buy_killbonus)
    elif choice == 2:
        if points[steamid]["headshotbonus"] == 0:
            tell(userid, "You don't have this feature!")
        if points[steamid]["headshotbonus"] == 1:
            points[steamid]["headshotbonus"] = 0
            points[steamid]["credits"] += buy_headshotbonus
            tell(userid, 'You got %s credits for selling Kill Bonus Feature' %buy_headshotbonus)
    elif choice == 9:
        sell3menu(userid, None)
    if choice in (1, 2, 3, 4, 5, 6, 7, 8):
        sell4menu(userid, None)


